Side By Side : component version required conflicts with another component version already active  
Author Message
Mike Barry





PostPosted: Common Language Runtime, Side By Side : component version required conflicts with another component version already active Top

I am trying to run our client application in and I started receiving the following side by side errors. I cannot pin down what dll is causing this problem and it is driving me nuts! Anyone help

Generate Activation Context failed for C:\Development\Debug\bin\App.exe. Reference error message: A component version required by the application conflicts with another component version already active.

Talk about a frustrating error message, at least give me the component so I can begin to pin down this problem!


.NET Development7  
 
 
Ayman Shoukry - MSFT





PostPosted: Common Language Runtime, Side By Side : component version required conflicts with another component version already active Top

May be the .net dev folks have seen such error before

Thanks,
Ayman Shoukry
VC++ Team


 
 
nobugz





PostPosted: Common Language Runtime, Side By Side : component version required conflicts with another component version already active Top

First look in the System event log to see if you can get a better diagnostic. Not likely though on Windows XP. Next, try running your app with DependencyWalker's Profile option. You'll see which DLLs get loaded and from where...


 
 
Mike Barry





PostPosted: Common Language Runtime, Side By Side : component version required conflicts with another component version already active Top

That was the error message form the event viewer. I rebuilt and everything started to work. I think 64 bit assembly's and 32 bit assembly's were somehow getting confused.